hpp-corbaserver: ConfigProjector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConfigProjector Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for ConfigProjector:
[legend]
Collaboration diagram for ConfigProjector:
[legend]

## Public Types
typedef ConfigProjector_ptr | _ptr_type
typedef ConfigProjector_var | _var_type
Public Types inherited from Constraint
typedef Constraint_ptr | _ptr_type
typedef Constraint_var | _var_type

## Public Member Functions
virtual | ~ConfigProjector ()
inline ::hpp::core_idl::ConfigProjector_ptr | _this ()
Public Member Functions inherited from Constraint
virtual | ~Constraint ()
inline ::hpp::core_idl::Constraint_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Constraint
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Constraint
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConfigProjector_ptr ConfigProjector::_ptr_type

## ◆ _var_type

typedef ConfigProjector_var ConfigProjector::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConfigProjector()

virtual ConfigProjector::~ConfigProjector | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConfigProjector::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConfigProjector::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void ConfigProjector::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConfigProjector::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConfigProjector::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::ConfigProjector_ptr ConfigProjector::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConfigProjector::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConfigProjector::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConfigProjector::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh